org.hibernate.search.elasticsearch.bridge.impl

## Class ElasticsearchBridgeProvider

- java.lang.Object
- - org.hibernate.search.elasticsearch.bridge.impl.ElasticsearchBridgeProvider

- All Implemented Interfaces:
    BridgeProvider, IndexManagerTypeSpecificBridgeProvider

      public class ElasticsearchBridgeProvider
      extends Object
      implements IndexManagerTypeSpecificBridgeProvider

  Creates bridges specific to ES.
  Author:
    Gunnar Morling, Guillaume Smet, Yoann Rodiere

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hibernate.search.bridge.spi.BridgeProvider

      `BridgeProvider.BridgeProviderContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticsearchBridgeProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexManagerType` | `getIndexManagerType()` Returns the `IndexManagerType` for which we register the bridge
    `FieldBridge` | `provideFieldBridge(BridgeProvider.BridgeProviderContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElasticsearchBridgeProvider

          public ElasticsearchBridgeProvider()

  - ### Method Detail

    - #### getIndexManagerType

          public IndexManagerType getIndexManagerType()

      Description copied from interface: `IndexManagerTypeSpecificBridgeProvider`
      Returns the `IndexManagerType` for which we register the bridge
      Specified by:
        `getIndexManagerType` in interface `IndexManagerTypeSpecificBridgeProvider`
      Returns:
        the `IndexManagerType` type for which we register the bridge

    - #### provideFieldBridge

          public FieldBridge provideFieldBridge(BridgeProvider.BridgeProviderContext context)

      Specified by:
        `provideFieldBridge` in interface `BridgeProvider`
      Parameters:
        `context` - the `BridgeProvider.BridgeProviderContext`
      Returns:
        a `FieldBridge` instance if the provider can build a bridge for the calling context. `null` otherwise.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved